Architektur Bewehrung

From FreeCAD Documentation
Revision as of 12:11, 7 September 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語

Arch Rebar.svg Architektur Bewehrung

Menüeintrag
Architektur → Bewehrung
Arbeitsbereich
Architektur
Standardtastenkürzel
R B
In der Version eingeführt
-
Siehe auch
Architektur Struktur, Verstärkunserweiterung


Beschreibung

Das Architektur Bewehrung Werkzeug erlaubt es, Bewehrungsstäbe in Struktur Objekten zu platzieren.

Bewehrungsobjekte basieren auf 2D Profilen wie Entwurfsobjekten und Skizzen, die auf einer Fläche des Strukturobjekts gezeichnet werden müssen. Nach der Erstellung kannst du die Eigenschaften des Bewehrungsstabs anpassen, einschließlich der Anzahl und des Durchmessers der Stäbe und des Versatzabstands zwischen ihnen und den Flächen des Strukturelements.

Arch Rebar example.jpg

Strukturobjekt mit zwei auf seinen Flächen gezeichneten Skizzen, die dann in zwei Sätze von Bewehrungsobjekten umgewandelt werden


Verfügbare Erweiterung

Das Bewehrungswerkzeug wird durch die Bewehrungserweiterung erweitert, die über den Erweiterungsverwalter installiert wird. Die zusätzlich verfügbaren Bewehrungstypen der Erweiterung sind:

Anwendung

  1. Wechsle zum Workbench Arch.svg Architektur Arbeitsbereich
  2. Erstelle ein Arch Structure.svg Architektur Struktur Element
  3. Wechsle zum Workbench Sketcher.svg Skizzierer Arbeitsbereich.
  4. Wähle eine Fläche des Strukturelements.
  5. Drücke die Sketcher NewSketch.png Neue Skizze Schaltfläche, um eine neue Skizze auf der gewählten Fläche zu erstellen.
  6. Zeichne das Balkendiagramm.
  1. Drücke die Sketcher LeaveSketch.png Skizze verlassen Schaltfläche zum Beenden.
  2. Wechsle zurück zum Arch Arbeitsbereich
  3. Wähle die gerade gezeichnete Skizze
  4. Drücke die Arch Rebar.svg Bewehrungsstab Schaltfläche oder drücke die R, dann B Tasten.
  5. Passe die gewünschten Eigenschaften an (Dein Bewehrungsstab erscheint möglicherweise nicht sofort, wenn einige der Eigenschaften eine unmögliche Situation schaffen, wie z.B. wenn der Stabdurchmesser 0 ist oder die Versatzabstände größer als die Länge des Strukturelements sind).

Obwohl ein Bewehrungsstab normalerweise in einem Architekturelement verwendet wird, kann er seit FreeCAD v0.19 auch außerhalb eines Host-Objekts erstellt werden. Um einen Bewehrungsstab in einem Objekt zu platzieren, muss einfach nur dessen DataHost gesetzt werden.

Optionen

  • Bewehrungsstäbe haben die gleichen Eigenschaften und das gleiche Verhalten aller Arch-Komponenten
  • Der Verrundungswert wird als Vielfaches des Durchmessers ausgedrückt. Wenn Dein Stab einen Durchmesser von 5 mm hat, wird ein Verrundungswert von 3 zu einem Radius von 15 mm in den Ecken führen.
  • Standardwerte für neue Bewehrungsstäbe können in den Arch-Einstellungsdialogen gesetzt werden.
  • Falls ein Richtungsvektor nicht angegeben wurde, werden die Werte für Richtung und Abstand zwischen den Stäben automatisch abhängig vom Strukturobjekt berechnet, indem die normale Ausrichtung der Basisskizze und der Schnittpunkt mit dem Strukturobjekt genommen werden. Wenn Du einen Richtungsvektor angibst, wird die Länge des Vektor ebenfalls berücksichtigt.
  • Der Abstandswert wird aus der aktuellen Anzahl von Stäben berechnet und stellt den Abstand zwischen den Achsen der Stäbe dar. Du musst daher den Stabdurchmesser subtrahieren, um die Größe des freien Raums zwischen den Stäben zu erhalten.

Eigenschaften

  • Daten-EigenschaftAnzahl: Die Anzahl von Stäben.
  • Daten-EigenschaftDurchmesser: Der Durchmesser der Stäbe.
  • Daten-EigenschaftRichtung: Die Richtung (und Länge), über die die Stäbe verteilt werden müssen. Wenn der Wert (0,0,0) ist, wird die Richtung automatisch abhängig vom Host-Strukturobjekt gesetzt
  • Daten-EigenschaftVersatzbeginn: Der Versatzabstand zwischen dem Rand des Strukturobjekts und dem ersten Stab.
  • Daten-EigenschaftVersatzende: Der Versatzabstand zwischen dem Rand des Strukturobjekts und dem letzten Stab.
  • Daten-EigenschaftVerrundung: Ein Verrundungswert in den Ecken der Stäbe, ausgedrückt als das Vielfache des Durchmessers.
  • Daten-EigenschaftLeerraum: Der Abstand zwischen den Achsen jedes Stabs.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Bewehrungsstabwerkzeug kann in Makros und aus der PythonKonsole aus mit folgender Funktion verwendet werden:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Erstellt ein Rebar Objekt aus dem gegebenen baseobj Objekt, das eine Struktur-Objekt ist und ein sketch als Profil.
    • diameter, amount und offset werden verwendet, um die Charakteristiken der Stäbe zu definieren.
  • Falls diameter (Durchmesser), amount (Menge) oder offset (Abstand) nicht angegeben sind, werden die Standardwerte aus den Arch Einstellungen verwendet.

Beispiel:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()